package oop.Interface;

public final class Auto implements Movable,SelfDrivable {
	
	int x,y;
	int numberOffahrer;
	
	
	public Auto() {
		
	}
	
	public Auto(int x, int y) {
		this.x = x;
		this.y = y;
	}

	@Override
	public void destination(String d) {
		System.out.println("Destination = " + d);
	}

	@Override
	public void drive() {
		System.out.println("drive");
		
	}

	@Override
	public void moveUp() {
		y--;
	}

	@Override
	public void moveDown() {
		y++;
	}

	@Override
	public void moveLeft() {
		x--;
	}

	@Override
	public void moveRight() {
		x++;
	}
	
	public void newMethod() {
		
		System.out.print("SelfDrivable Auto");
	}
	

	
	

}
